Netflix movie Viewer only works with release versions of Firefox

RESOLVED FIXED

Status

Tech Evangelism Graveyard
English US
RESOLVED FIXED
8 years ago
2 years ago

People

(Reporter: ankit.pahuja, Unassigned)

Tracking

({relnote})

Details

(Whiteboard: [Input], URL)

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1) Gecko/20090806 Namoroka/3.6a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1) Gecko/20090806 Namoroka/3.6a1

Netflix Movie Viewere which uses Silverlight plugin used to work with my Firefox 3.5. after installing 3.6, the movie viewer does not work for me. It says its does not support my browser; looks like a User Agent issue.

***Website Message***

Watching instantly on your computer

Our apologies — streaming is not supported on this browser.
Complete System Requirements

To watch instantly, you'll need a computer that meets the following minimum requirements:

    * Windows
          o Windows XP with Service Pack 2, or Vista
          o Internet Explorer 6.0 or higher; or Firefox 2 or higher
          o 1.2 GHz processor
          o 512 MB RAM


Reproducible: Always

Steps to Reproduce:
1.go to netflix.com
2. Login
3. select a movie available instantly, and click on "Play"
Actual Results:  
Watching instantly on your computer

Our apologies — streaming is not supported on this browser.
Complete System Requirements

To watch instantly, you'll need a computer that meets the following minimum requirements:

    * Windows
          o Windows XP with Service Pack 2, or Vista
          o Internet Explorer 6.0 or higher; or Firefox 2 or higher
          o 1.2 GHz processor
          o 512 MB RAM


Expected Results:  
Movie should play

This should be a Tech evangelism bug, but i could not find a sepcific category for this, so logging it as a general bug
(In reply to Comment 0) 
> This should be a Tech evangelism bug, but i could not find a sepcific category
> for this, so logging it as a general bug

You are correct. Moving to TE
Assignee: nobody → english-us
Status: UNCONFIRMED → NEW
Component: General → English US
Ever confirmed: true
Product: Firefox → Tech Evangelism
QA Contact: general → english-us

Comment 2

8 years ago
thanks advait.

If you could use http://www.netflix.com/ContactUs and tell netflix about the problem and point them here, it would be great! Hearing from a customer always has a positive effect.

You can point them to http://geckoisgecko.org/ and to this bug if they need additional information.

Comment 3

8 years ago
Sounds like they're sniffing specifically for "Firefox" in the UA string.
Blocks: 334967
OS: Windows Vista → All
Hardware: x86 → All
(Reporter)

Comment 4

8 years ago
I will also log this issue with Netflix, and quote this bug id. Surprisingly, netflix recently started supporting Chrome also; its weird on their part not to allow it for a newer version of Firefox(3.6), esp when it works fine for Firefox 3.5

Comment 5

8 years ago
(In reply to comment #4)
> I will also log this issue with Netflix, and quote this bug id. Surprisingly,
> netflix recently started supporting Chrome also; its weird on their part not to
> allow it for a newer version of Firefox(3.6), esp when it works fine for
> Firefox 3.5

It's not that they're disallowing Firefox 3.6, per se; it's that they're sniffing for specific strings ("Firefox", which you'll notice is not present in "Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1) Gecko/20090806 Namoroka/3.6a1").

If anything, they should be sniffing for the "Gecko/2009" and "rv:1.9.2" parts.

Updated

7 years ago
Summary: Netflix movie Viewere does not support Firefox 3.6 → Netflix movie Viewer only works with release versions of Firefox

Updated

7 years ago
Duplicate of this bug: 559558

Updated

7 years ago
Duplicate of this bug: 577954
A lot of people are seeing this isue on beta 1 of Firefox 4 

http://input.mozilla.com/search/?q=netflix&product=firefox
Whiteboard: [Input]
Keywords: relnote
Just got an e-mail from the Netflix guys that they're intending to have this fix in during the August 12-16 timeframe.

Comment 10

7 years ago
Fixing it for Firefox 4 or accepting Gecko user agents?
This seems to have been fixed: http://input.mozilla.com/en-US/sites?q=netflix&sentiment=&search_type=&show_one_offs=
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED

Comment 12

7 years ago
Can someone actually confirm this is fixed with a browser *other* than Firefox (say, Seamonkey)? Comment 10's question was never actually answered.
Loading the movie player at Netflix's site hung Firefox until I killed the plugin process.  Known bug?
I don't think you're alone Chris: http://input.mozilla.com/en-US/site/http/netflix.com
That seems like a totally separate issue; can we get a different bug on file?

Updated

7 years ago
Blocks: 617873

Comment 16

7 years ago
I've filed bug 617873 regarding netflix movie viewer not working -- in fact it seems like Silverlight has been broken since september.

Comment 17

4 years ago
Firefox 21 release version still has some problems on Netflix. On about every third video watched, it causes the Microsoft Silverlight plugin to crash. Even the latest version. There is also problems with viewing embedded .pdf files on websites or downloading them without corruption. Adobe Reader opened separately will bypass this problem, but I haven't found any way to prevent crashes of Firefox on Netflix.
10am EDT 5/25/2013.

It still has many problems as the Beta version, and again I had to remove versions above 20.0 to get Firefox working again. Granted the released version of 21.x is improved, but some of the problems I've had before are still occurring. They are not related to IE 8 or 10, Google Chrome, or the websites themselves. I can only recreate the errors in Firefox 21 release. I am still trying to find ways to stop the automatic updates (version 20) and Plugin Compatibility checks that slow down the loading of Firefox dramatically. Clicking "Cancel" does no good in stopping the checks on known working plugins.
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.